#ifndef INCLUDE__BasicBlock_hxx
#define INCLUDE__BasicBlock_hxx

class BasicBlock {
public:
    BasicBlock() {}

    uint64_t getStartAddress() const {
        return start_address;
    }

    uint64_t getEndAddress() const {
        return end_address;
    }

	BasicBlock * const * getNextBlocks() const {
		return next_blocks;
	}

	void setStartAddress(uint64_t address) {
		start_address = address;
	}

	void setEndAddress(uint64_t address) {
		end_address = address;
	}

private:
    uint64_t start_address;
    uint64_t end_address;

    BasicBlock * next_blocks[2];
};

#endif
